Package org.silverpeas.components.gallery.model

# Class Streaming

java.lang.Object
org.silverpeas.components.gallery.model.Media
org.silverpeas.components.gallery.model.Streaming

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.contribution.model.Contribution`, `org.silverpeas.core.contribution.model.SilverpeasContent`, `org.silverpeas.core.contribution.model.WithPermanentLink`, `org.silverpeas.core.contribution.model.WithURL`, `org.silverpeas.core.Identifiable`, `org.silverpeas.core.Instance<org.silverpeas.core.contribution.model.Contribution>`, `org.silverpeas.core.Nameable`, `org.silverpeas.core.security.Securable`, `org.silverpeas.core.SilverpeasResource`

public class Streaming extends Media
This class represents a Streaming.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.silverpeas.components.gallery.model.Media

  `BASE_PATH`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `Streaming()`
  `protected`
  `Streaming(Streaming other)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getApplicationEmbedUrl(MediaResolution mediaResolution)`
  Gets the Application URL thumbnail of the media according the specified media resolution.
  `String`
  `getApplicationOriginalUrl()`
  Gets the original URL of a media with cache handling.
  `Streaming`
  `getCopy()`
  Creates a copy of the instance.
  `org.silverpeas.core.io.file.SilverpeasFile`
  `getFile(MediaResolution mediaResolution, String size)`
  Gets the Silverpeas file.
  `String`
  `getHomepageUrl()`
  Gets the provider URL that permits to access to the video play.
  `Optional<org.silverpeas.core.media.streaming.StreamingProvider>`
  `getProvider()`
  Gets the streaming provider.
  `static String`
  `getResourceType()`
  The type of this resource
  `MediaType`
  `getType()`
  `int`
  `hashCode()`
  `void`
  `setHomepageUrl(String url)`
  Sets the provider URL that permits to access to the video play.
  `void`
  `setProvider(org.silverpeas.core.media.streaming.StreamingProvider provider)`
  Gets the streaming provider.

  ### Methods inherited from class org.silverpeas.components.gallery.model.Media

  `addToAlbums, canBeAccessedBy, getApplicationThumbnailUrl, getAuthor, getComponentInstanceId, getContributionType, getCreationDate, getCreator, getCreatorId, getCreatorName, getDescription, getFile, getHighestUserRole, getId, getInstanceId, getInternalMedia, getKeyWord, getLastUpdateDate, getLastUpdatedBy, getLastUpdater, getLastUpdaterName, getMediaPK, getPermalink, getPhoto, getSilverpeasContentId, getSound, getStreaming, getTitle, getURL, getVideo, getVisibilityPeriod, getWorkspaceSubFolderName, isDownloadable, isPreviewable, isVisible, isVisible, removeFromAllAlbums, setAuthor, setComponentInstanceId, setCreationDate, setCreator, setCreatorId, setDescription, setId, setKeyWord, setLastUpdateDate, setLastUpdatedBy, setLastUpdater, setMediaPK, setSilverpeasContentId, setTitle, setToAlbums, setVisibilityPeriod, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.contribution.model.Contribution

  `getModel, getName, getResourcePath, isIndexable`

  ### Methods inherited from interface org.silverpeas.core.Instance

  `getParent`

  ### Methods inherited from interface org.silverpeas.core.security.Securable

  `canBeDeletedBy, canBeFiledInBy, canBeModifiedBy`

  ### Methods inherited from interface org.silverpeas.core.contribution.model.SilverpeasContent

  `getIdentifier`

- ## Constructor Details

  - ### Streaming

    public Streaming()

  - ### Streaming

    protected Streaming(Streaming other)

- ## Method Details

  - ### getType

    public MediaType getType()
    Specified by:
      `getType` in class `Media`

  - ### getHomepageUrl

    public String getHomepageUrl()
    Gets the provider URL that permits to access to the video play.
    Returns:
      the provider URL that permits to access to the video play.

  - ### setHomepageUrl

    public void setHomepageUrl(String url)
    Sets the provider URL that permits to access to the video play.
    Parameters:
      `url` - the provider URL that permits to access to the video play.

  - ### getProvider

    public Optional<org.silverpeas.core.media.streaming.StreamingProvider> getProvider()
    Gets the streaming provider.
    Returns:
      the streaming provider.

  - ### setProvider

    public void setProvider(org.silverpeas.core.media.streaming.StreamingProvider provider)
    Gets the streaming provider.
    Parameters:
      `provider` - the streaming provider.

  - ### getResourceType

    public static String getResourceType()
    The type of this resource
    Returns:
      the same value returned by getContributionType()

  - ### getApplicationOriginalUrl

    public String getApplicationOriginalUrl()
    Description copied from class: `Media`
    Gets the original URL of a media with cache handling.
    Overrides:
      `getApplicationOriginalUrl` in class `Media`
    Returns:
      the URL of the media

  - ### getFile

    public org.silverpeas.core.io.file.SilverpeasFile getFile(MediaResolution mediaResolution, String size)
    Description copied from class: `Media`
    Gets the Silverpeas file.
    Specified by:
      `getFile` in class `Media`
    Parameters:
      `mediaResolution` - the aimed resolution.
      `size` - a specific size applied on the aimed resolution, ignored if not defined.
    Returns:
      a `SilverpeasFile` instance which could represents also a non-existing file.

  - ### getApplicationEmbedUrl

    public String getApplicationEmbedUrl(MediaResolution mediaResolution)
    Description copied from class: `Media`
    Gets the Application URL thumbnail of the media according the specified media resolution.
    Overrides:
      `getApplicationEmbedUrl` in class `Media`
    Parameters:
      `mediaResolution` - the media resolution
    Returns:
      the URL of media thumbnail.

  - ### getCopy

    public Streaming getCopy()
    Description copied from class: `Media`
    Creates a copy of the instance.
    Specified by:
      `getCopy` in class `Media`
    Returns:
      the new instance.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Media`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Media`